Docs Open org

API reference

Calendar API

ICS feeds

GET /orgs/{org}/ics-feeds

Your calendar feeds.

Parameters

NameInTypeDescription
org requiredpathstringThe org slug.

Responses

200
OK. Paged_IcsFeed application/json

POST /orgs/{org}/ics-feeds

Creates a feed. The URL is shown once.

Parameters

NameInTypeDescription
org requiredpathstringThe org slug.

Request body

application/json, CreateFeed.

FieldTypeDescription
name requiredstringName.
querystringOnly entries matching this (default: everything you can read).

Responses

201
Created. IcsFeed application/json

DELETE /orgs/{org}/ics-feeds/{id}

Revokes a feed.

Parameters

NameInTypeDescription
org requiredpathstringThe org slug.
id requiredpathstring (uuid)The feed.

Responses

204
No content